* {
    box-sizing: border-box;
    transition: 0.3s ;
}
body {
    background-color: #F8F6F1; 
    font-family: Arial, Helvetica, sans-serif; 
    line-height: 1.6; 
    margin: 0px;
}
[class*="colx"] {
    box-sizing: border-box;
}
.colx1 { width: 8.33%; }
.colx2 { width: 16.66%; }
.colx3 { width: 25%; }
.colx4 { width: 33.33%; }
.colx5 { width: 41.66%; }
.colx6 { width: 50%; }
.colx7 { width: 58.33%; }
.colx8 { width: 66.66%; }
.colx9 { width: 75%; }
.colx10 { width: 83.33%; }
.colx11 { width: 91.66%; }
.colx12 { width: 100%; }
#khungtc {
    border:2px solid #1D3023; 
    background-color: #FFF; 
    position: relative;
    width: 80%;
    margin: 0px auto; 
}
#t-head {
    background-color: #1D3023; 
    width: 100%;
}
#t-head p {
    color: white; 
    margin: 0px; 
    padding: 5px 0px 5px 20px; 
    font-size: 13px; 
    font-weight: bold;
}
#b-head {
    display: flex; 
    width: 100%;
}
#logo {
    margin: 5px 0px 5px 60px; 
    position: relative; 
    flex: 1;
}
#logo img {
    height: 105px; 
    width: auto;
}
#search {
    margin: 45px 20px 25px 30px; 
    flex: 3;
}
#search input {
    width: 390px; 
    border: 2px solid #1D3023; 
    border-right: none; 
    border-radius: 10px 0px 0px 10px; 
    padding: 7px 20px 7px 30px; 
    font-size: 15px; 
    position: relative;
}
#search button {
    color: white; 
    background-color: #1D3023; 
    padding: 7px 20px 7px 30px; 
    border-radius: 0px 10px 10px 0px; 
    font-size: 15px !important; 
    border-left: none; 
    position: absolute;
}
#search button:hover {
    cursor: pointer;
    background-color: #4b7d59 !important;
}
#cart {
    margin: 5px 0px 5px 10px; 
    padding-left: 30px; 
    position: relative; 
    flex: 1
}
#cart a {
    text-decoration: none; 
    color: #1D3023;
}
#cart img {
    height: 75px; 
    width: auto;
}
#cart p {
    margin: 0px; 
    font-weight: bold;
}
#bc {
    width: 100%; 
    margin-top: 10px; 
    margin-bottom: 30px; 
    display: flex; 
    gap: 20px;
    position: relative;
    top: 0px;
}
#left {
    width: 27%; 
    flex: 1;
    /*TEST position: relative;*/
    position: sticky; 
    top: 20px;
    height: calc(100vh - 40px); 
    overflow-y: auto;
}
#left::-webkit-scrollbar {
    display: none;
}
#theloai {
    width: 100%; 
    border-right: 1px solid gray;
}
#tl {
    margin: 0px; 
    background-color: #1D3023 !important; 
    width: 90%; 
    color: white; 
    padding: 5px !important; 
    text-align: center; 
    border: 1px solid #1D3023; 
    border-left: none;
}
#theloai h3 {
    padding: 10px 5px; 
    margin: 0px; 
    width: 90%; 
    text-align: center; 
    background-color: #2c4935; 
    color: white; 
    border: 1px solid #1D3023; 
    border-left: none;
}
#theloai ul {
    list-style: none; 
    padding: 0px; 
    margin: 0px;
}
#theloai ul li {
    padding: 10px 5px; 
    margin: 0px; 
    width: 90%; 
    text-align: center; 
    border: 1px solid #1D3023; 
    border-left: none;
}
#theloai ul li:hover {
    cursor: pointer;
    background-color: #fff2d0;
    transform: scale(1.05);
}
#theloai ul li a {
    color: black; 
    text-decoration: none;
}
#right {
    width: 73%; 
    flex: 3;
    /*TEST*/
    position: sticky; 
    top: 20px;
    height: calc(100vh - 40px); 
    overflow-y: auto;
}
#right::-webkit-scrollbar {
    display: none;
}
#menu {
    background-color: #1D3023; 
    width: 100%;
}
#menu ul {
    list-style: none; 
    display: flex; 
    margin-top: 0px;
}
.menuct {
    flex: 1; 
    padding: 5px; 
    text-align: center;
}
.menuct:hover {
    cursor: pointer;
    background-color: #2c4935c7;
    box-shadow: 0px 2px 5px #fefefe9a;
}
.menuct a {
    text-decoration: none; 
    color: white;
}
#menucanhan {
    flex: 4.5; 
    text-align: right; 
    padding: 5px 30px 5px 5px;
}
#menucanhan a:hover {
    cursor: pointer;
    box-shadow: 0px 2px 7px #e6e6e69a;
}
#menucanhan a {
    text-decoration: none; 
    color:  rgb(0, 0, 0); 
    background-color: #FFF; 
    border-radius: 15px; 
    padding: 3px;
}
#menucanhan img {
    width: auto; 
    height: 15px;
}
#slideshow {
    width: 70%; 
    margin: 30px auto;
}
#slideshow img {
    height: 300px;
    width: 100%;
    border-radius: 15px;
}
#content {
    margin-right: 20px;
}
.product {
    display: flex; 
    gap: 15px; 
    text-align: center; 
    margin-top: 15px;
    margin-bottom: 20px;
}
.manhinhdt {
    gap: 15px; 
    text-align: center;
    flex: 1;
    display: flex;
}
.sp {
    flex: 1; 
    border: 1px solid #1D3023; 
    border-radius: 10px; 
    box-shadow: 0px 3px 7px #9292927a;
}
.sp:hover {
    cursor: pointer;
    border: 1px solid #ffdea1; 
    box-shadow: 2px 7px 15px #727272a1;
    transform: scale(1.02);
    transform: translate(0px, -10px);
}
.sp img {
    width: 100px; 
    height: 153px; 
    border: 1px solid #ffdea1; 
    border-radius: 3px;
    margin-top: 12px; 
}
.tensach {
    margin: 3px 7px; 
    font-weight: bold; 
    font-size: 14px;
}
.giaban {
    margin: 7px auto; 
    color: #e1a431; 
    font-weight: bold; 
    font-size: 13px;
}
.sp button {
    color: white ;
    background-color: #1D3023; 
    border-radius: 5px; 
    padding: 7px 10px; 
    font-weight: bold; 
    margin-bottom: 20px;
}
.sp button:hover {
    background-color: #25AE60;
    cursor: pointer;
}
#qc {
    border: 3px solid #E5E0D8; 
    margin: 50px 30px; 
    border-radius: 10px; 
    box-shadow: 0px 5px 7px #9292927a; 
    background-color: #FDFBF7;
}
#qcct {
    color: #D25400; 
    margin-left: 30px;
}
#qcc {
    border: 2px solid #E5E0D8; 
    border-radius: 5px; 
    margin: 10px; 
    display: flex; 
    background-color: #FDFBF7; 
}
#lqc {
    border-radius: 5px; 
    margin: 10px; 
    flex: 1; 
    background-color: #FDFBF7; 
    text-align: center;
}
#lqc img {
    width: auto; 
    height: 180px; 
    border: 1px solid #ffdea1; 
    margin-top: 25px; 
    border-radius: 3px;
    box-shadow: 0px 3px 7px #989898;
}
#lqc button {
    color: white ;
    background-color: #25AE60; 
    border-radius: 5px; 
    padding: 5px 10px; 
    font-weight: bold; 
    margin-top: 30px;
    margin-bottom: 10px;
}
#lqc button:hover {
    background-color: #C0392B;
    cursor: pointer;
}
#rqc {
    border-radius: 5px; 
    margin: 10px; 
    flex: 3; 
    background-color: #FDFBF7; 
    padding-left: 25px;
}
#rqc h3 {
    margin: 20px 11px;
}
.tenxb {
    font-size: 16px; 
    color: #2C3E50; 
    font-weight: bold; 
    margin: 10px 5px;
}
#gt {
    color: #5D6D7E; 
    text-align: justify; 
    font-weight: 300; 
    margin: 10px 20px 10px 5px; 
}
#giacu {
    text-decoration: line-through;
    color: #989898;
    font-size: 15px;
    margin: 10px auto;
}
#giamoi {
    color: #C0392B;
    font-weight: bold;
    font-size: 18px;
    margin: 5px auto;
}
#footer {
    width: 100%; 
    background-color: #1D3023;
}
#fc {
    width: 85%; 
    margin: 0px auto; 
    display: flex; 
    gap: 30px;
}
.cotfc {
    flex: 1;
}
.cotfc h3 {
    color: #ffb834; 
    border-left: 3px solid #f0ae35; 
    padding-left: 10px;
}
.cotfc p {
    color: white;
}
.cotfc ul {
    list-style: none; 
    padding-left: 0px;
}
.cotfc ul li {
    padding-bottom: 10px;
}
.fct {
    color: white; 
    text-decoration: none;
}
.fct:hover {
    text-decoration: underline; 
    color: rgb(255, 225, 156);
}
#banquyen {
    color: white; 
    background-color: #2c4935; 
    font-size: 13px; 
    text-align: center; 
    padding: 10px;
}
#boxchat {
    border-radius: 100%;
    border: 2px solid #1D3023;
    width: 70px;
    height: auto;
    background-color: #FFF;
    position: fixed;
    bottom: 30px;
    right: 35px;
    box-shadow: 0px 3px 10px #b4b4b4c5;
}
#boxchat:hover {
    cursor: pointer;
}
#boxchat img {
    width: 50px;
    height: auto;
    margin: 10px 20px 3px 8px;
}
@media (max-width: 1000px) {
    #khungtc { 
        width: 95%; 
    }
    #search input {
        width: 300px !important;
    }
    #left {
        display: none;
    }
    #right {
        position: static;
        height: auto;
        overflow-y: visible;
        width: 100% !important;
    }
    #content {
        padding-left: 20px;
    }
    .sp { 
        width: 33.33% !important; 
    }
    .cotfc { 
        width: 50%; 
        margin-bottom: 20px; 
    }
}
@media (max-width: 800px) {
    #khungtc {
        width: 100% !important;
    }
    #search { 
        width: 100% !important; 
        margin-left: 80px; 
    }
    #search input { 
        width: 270px !important; 
    }
    #logo {
        display: none;
    }
    #cart {
        display: none;
    }
    #menu { 
        width: 100%; 
    }
    #menucanhan { 
        flex: 1.5 !important;
    }
    #content {
        padding: 5px 5px 5px 10px;
    }
    #slideshow {
        display: none;
    }
    .product {
        display: block;
        width: 100%;
    }
    .manhinhdt {
        display: flex;
    }
    .sp {
        flex: 1;
        width: 45% !important;
        margin: 20px;
    }
    .sp img {
        width: 120px;
        height: 170px;
    }
    .sp button {
        width: 70%;
    }
    #qc {
        display: none !important;
    }
    #footer {
        padding-top: 25px;
    }
    #fc {
        display: block;
    }
    .cotfc { 
        flex: none !important;
        width: 100% !important;
        margin-top: 30px !important;
    }
    #boxchat {
        display: none;
    }
}